#ifndef __DEFINE_H__
#define __DEFINE_H__

#define SCREEN_WIDTH 640
#define SCREEN_HEIGHT 480

#define TITLE_FONT_SIZE 26 

#define FALSE 0
#define TRUE 1

#define ARCADE_MODE 0
#define FREE_MODE 1
#define OPTION 2
#define CONFIG 3
#define EXIT_MODE 4

#define PATH_SEPERATE '/'

#include "sdl-xft/sdl_xft.h"

#include "SDL.h"
#include "SDL_mixer.h"
#include <stdio.h>


extern SDL_Xft_WMInfo info;		/* sdl-xft information */
extern SDL_Surface *foreground; 	/* foreground screen */
extern SDL_Surface *sysfont;

typedef struct _stRect {
	int x;
	int y;
	int w;
	int h;
}stRect;

extern stRect font_rect[128];

typedef struct _set{
	Uint32 videomode_flag; 		/* video mode flag */
	int bpp;					/* video bpp */
}set;

extern set config;
#endif
